Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/phytrac_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/phytrac_mod.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/phytrac_mod.F90	(revision 4482)
@@ -56,5 +56,5 @@
   SUBROUTINE phytrac_init()
     USE dimphy
-    USE infotrac_phy, ONLY: nbtr, types_trac
+    USE infotrac_phy, ONLY: nbtr, type_trac
     USE tracco2i_mod, ONLY: tracco2i_init
     IMPLICIT NONE
@@ -79,6 +79,11 @@
     !===============================================================================
     !   -- CO2 interactif --
-    IF(ANY(types_trac == 'co2i') .OR. ANY(types_trac == 'inco')) CALL tracco2i_init()
-
+    IF(ANY(type_trac == ['co2i','inco'])) CALL tracco2i_init()
+
+       !   -- type_trac == 'co2i' ! PC 
+       !   -- CO2 interactif --
+       !   -- source is updated with FF and BB emissions 
+       !   -- and net fluxes from ocean and orchidee 
+       !   -- sign convention : positive into the atmosphere
 
   END SUBROUTINE phytrac_init
@@ -119,5 +124,5 @@
     USE phys_cal_mod, only : hour
     USE dimphy
-    USE infotrac_phy, ONLY: nbtr, nqCO2, types_trac, type_trac, conv_flg, pbl_flg
+    USE infotrac_phy, ONLY: nbtr, nqCO2, type_trac, conv_flg, pbl_flg
     USE strings_mod,  ONLY: int2str
     USE mod_grid_phy_lmdz
@@ -179,5 +184,5 @@
     REAL,DIMENSION(klon),INTENT(IN)        :: pphis
     REAL,DIMENSION(klev),INTENT(IN)        :: presnivs 
-    REAL,DIMENSION(klon,klev),INTENT(IN)   :: cldliq  ! eau liquide nuageuse
+    REAL,DIMENSION(klon,klev),INTENT(IN)   :: cldliq  ! eau condensee totale
     REAL,DIMENSION(klon,klev),INTENT(IN)   :: cldfra  ! fraction nuageuse (tous les nuages)
     REAL,DIMENSION(klon,klev),INTENT(IN)   :: diafra  ! fraction nuageuse (convection ou stratus artificiels)
@@ -486,10 +491,10 @@
 
        ! Initialize module for specific tracers
-       IF(ANY(types_trac == 'inca')) THEN
+       IF(type_trac == 'inca') THEN
           source(:,:)=init_source(:,:)
           CALL tracinca_init(aerosol,lessivage)
-       ELSE IF(ANY(types_trac == 'repr')) THEN
+       ELSE IF(type_trac == 'repr') THEN
           source(:,:)=0.
-       ELSE IF(ANY(types_trac == 'co2i')) THEN
+       ELSE IF(type_trac == 'co2i') THEN
           source(:,:)=0.
           lessivage  = .FALSE.
@@ -499,5 +504,5 @@
           iflag_vdf_trac= 1
           iflag_con_trac= 1
-       ELSE IF(ANY(types_trac == 'inco')) THEN
+       ELSE IF(type_trac == 'inco') THEN
           source(:,1:nqCO2) = 0.                          ! from CO2i ModThL
           source(:,nqCO2+1:nbtr)=init_source(:,:)         ! from INCA ModThL
@@ -509,5 +514,5 @@
           iflag_con_trac = 1                              ! From CO2i
 #ifdef CPP_StratAer
-       ELSE IF(ANY(types_trac == 'coag')) THEN
+       ELSE IF(type_trac == 'coag') THEN
           source(:,:)=0.
           DO it= 1, nbtr_sulgas
@@ -519,5 +524,5 @@
           ENDDO
 #endif
-       ELSE IF(ANY(types_trac == 'lmdz')) THEN
+       ELSE IF(type_trac == 'lmdz') THEN
           CALL traclmdz_init(pctsrf,xlat,xlon,ftsol,tr_seri,t_seri,pplay,sh,pdtphys,aerosol,lessivage)
        END IF
@@ -534,7 +539,7 @@
           !
           DO it=1, nbtr
-             IF(ANY(types_trac == 'repr')) THEN
+             IF(type_trac == 'repr') THEN
                  flag_cvltr(it)=.FALSE.
-             ELSE IF(ANY(types_trac == 'inca')) THEN
+             ELSE IF(type_trac == 'inca') THEN
 !                IF ((it.EQ.id_Rn222) .OR. ((it.GE.id_SO2) .AND. (it.LE.id_NH3)) ) THEN 
 !                   !--gas-phase species
@@ -560,11 +565,11 @@
                 !--for now we do not scavenge in cvltr
                 flag_cvltr(it)=.FALSE.
-             ELSE IF(ANY(types_trac == 'co2i')) THEN
+             ELSE IF(type_trac == 'co2i') THEN
                 !--co2 tracers are not scavenged
                 flag_cvltr(it)=.FALSE.
-             ELSE IF(ANY(types_trac == 'inco')) THEN     ! Add ThL
+             ELSE IF(type_trac == 'inco') THEN     ! Add ThL
                 flag_cvltr(it)=.FALSE.
 #ifdef CPP_StratAer
-             ELSE IF(ANY(types_trac == 'coag')) THEN
+             ELSE IF(type_trac == 'coag') THEN
                 IF (convscav.and.aerosol(it)) THEN
                    flag_cvltr(it)=.TRUE.
@@ -576,5 +581,5 @@
                 ENDIF
 #endif
-             ELSE IF(ANY(types_trac == 'lmdz')) THEN
+             ELSE IF(type_trac == 'lmdz') THEN
                 IF (convscav.and.aerosol(it)) THEN
                    flag_cvltr(it)=.TRUE.
@@ -609,8 +614,6 @@
        write(lunout,*)  'flag_cvltr    = ', flag_cvltr
 
-       IF (lessivage .AND. (ANY(types_trac == 'inca') .OR. ANY(types_trac=='inco'))) THEN     ! Mod ThL
+       IF (lessivage .AND. ANY(type_trac == ['inca','inco'])) &
           CALL abort_physic('phytrac', 'lessivage=T config_inca=inca impossible',1)
-!          STOP
-       ENDIF
        !
     ENDIF ! of IF (debutphy)
@@ -635,10 +638,10 @@
     !      
     !===============================================================================
-    IF(ANY(types_trac == 'inca')) THEN
+    IF(type_trac == 'inca') THEN
        !    -- CHIMIE INCA  config_inca = aero or chem --
        ! Appel fait en fin de phytrac pour avoir les emissions modifiees par 
        ! la couche limite et la convection avant le calcul de la chimie 
 
-    ELSE IF(ANY(types_trac == 'repr')) THEN
+    ELSE IF(type_trac == 'repr') THEN
        !   -- CHIMIE REPROBUS --
        CALL tracreprobus(pdtphys, gmtime, debutphy, julien, &
@@ -647,5 +650,5 @@
             tr_seri)
 
-    ELSE IF(ANY(types_trac == 'co2i')) THEN
+    ELSE IF(type_trac == 'co2i') THEN
        !   -- CO2 interactif --
        !   -- source is updated with FF and BB emissions 
@@ -656,5 +659,5 @@
             xlat, xlon, pphis, pphi, &
             t_seri, pplay, paprs, tr_seri, source)
-    ELSE IF(ANY(types_trac == 'inco')) THEN      ! Add ThL
+    ELSE IF(type_trac == 'inco') THEN      ! Add ThL
        CALL tracco2i(pdtphys, debutphy, &
             xlat, xlon, pphis, pphi, &
@@ -662,5 +665,5 @@
 
 #ifdef CPP_StratAer
-    ELSE IF(ANY(types_trac == 'coag')) THEN
+    ELSE IF(type_trac == 'coag') THEN
        !   --STRATOSPHERIC AER IN THE STRAT --
        CALL traccoag(pdtphys, gmtime, debutphy, julien, &
@@ -669,5 +672,5 @@
             tr_seri)
 #endif
-    ELSE IF(ANY(types_trac == 'lmdz')) THEN
+    ELSE IF(type_trac == 'lmdz') THEN
        !    -- Traitement des traceurs avec traclmdz
        CALL traclmdz(nstep, julien, gmtime, pdtphys, t_seri, paprs, pplay, &
@@ -707,6 +710,4 @@
                 !--with the full array tr_seri even if only item it is processed
 
-                print*,'CV SCAV ',it,ccntrAA(it),ccntrENV(it)
-
                 CALL cvltr_scav(pdtphys, da, phi,phi2,d1a,dam, mp,ep,         &
                      sigd,sij,wght_cvfd,clw,elij,epmlmMm,eplaMm,              &     
@@ -745,5 +746,5 @@
 
 #ifdef CPP_StratAer
-       IF (ANY(types_trac=='coag')) THEN
+       IF (type_trac=='coag') THEN
          ! initialize wet deposition flux of sulfur
          budg_dep_wet_ocs(:)=0.0
@@ -826,5 +827,5 @@
        !
 #ifdef CPP_StratAer
-       IF (ANY(types_trac=='coag')) THEN
+       IF (type_trac=='coag') THEN
 
          ! initialize dry deposition flux of sulfur
@@ -863,5 +864,5 @@
              !
 #ifdef CPP_StratAer
-             IF (ANY(types_trac=='coag')) THEN
+             IF (type_trac=='coag') THEN
                ! compute dry deposition flux of sulfur (sum over gases and particles)
                IF (it==id_OCS_strat) THEN
@@ -948,5 +949,5 @@
 
 #ifdef CPP_StratAer
-         IF (ANY(types_trac=='coag')) THEN
+         IF (type_trac=='coag') THEN
            ! compute wet deposition flux of sulfur (sum over gases and
            ! particles) and convert to kg(S)/m2/s
@@ -1088,5 +1089,5 @@
 
     !    -- CHIMIE INCA  config_inca = aero or chem --
-    IF (ANY(types_trac == 'inca') .OR. ANY(types_trac == 'inco')) THEN  ! ModThL
+    IF (ANY(type_trac == ['inca','inco'])) THEN  ! ModThL
 
        CALL tracinca(&
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/radiation_AR4.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/radiation_AR4.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/radiation_AR4.F90	(revision 4482)
@@ -479,5 +479,5 @@
   USE dimphy
   USE radiation_ar4_param, ONLY: rsun, rray
-  USE infotrac_phy, ONLY: types_trac
+  USE infotrac_phy, ONLY: type_trac
 #ifdef REPROBUS
   USE chem_rep, ONLY: rsuntime, ok_suntime
@@ -571,5 +571,5 @@
   ! If running with Reporbus, overwrite default values of RSUN.
   ! Otherwise keep default values from radiation_AR4_param module.
-  IF (ANY(types_trac=='repr')) THEN
+  IF (type_trac=='repr') THEN
 #ifdef REPROBUS
     IF (ok_suntime) THEN
@@ -701,5 +701,5 @@
   USE dimphy
   USE radiation_ar4_param, ONLY: rsun, rray
-  USE infotrac_phy, ONLY: types_trac
+  USE infotrac_phy, ONLY: type_trac
 #ifdef REPROBUS
   USE chem_rep, ONLY: rsuntime, ok_suntime
@@ -825,5 +825,5 @@
   ! If running with Reporbus, overwrite default values of RSUN.
   ! Otherwise keep default values from radiation_AR4_param module.
-  IF (ANY(types_trac=='repr')) THEN
+  IF (type_trac=='repr') THEN
 #ifdef REPROBUS
     IF (ok_suntime) THEN
@@ -2313,5 +2313,5 @@
   USE dimphy
   USE radiation_ar4_param, ONLY: tref, rt1, raer, at, bt, oct
-  USE infotrac_phy, ONLY: types_trac
+  USE infotrac_phy, ONLY: type_trac
 #ifdef REPROBUS
   USE chem_rep, ONLY: rch42d, rn2o2d, rcfc112d, rcfc122d, ok_rtime2d
@@ -2621,5 +2621,5 @@
 
 
-        IF (ANY(types_trac=='repr')) THEN
+        IF (type_trac=='repr') THEN
 #ifdef REPROBUS
           IF (ok_rtime2d) THEN
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/radlwsw_m.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/radlwsw_m.F90	(revision 4482)
@@ -48,5 +48,5 @@
   USE DIMPHY
   USE assert_m, ONLY : assert
-  USE infotrac_phy, ONLY : types_trac
+  USE infotrac_phy, ONLY : type_trac
   USE write_field_phy
 
@@ -551,5 +551,5 @@
   PSCT = solaire/zdist/zdist
 
-  IF (ANY(types_trac == 'repr')) THEN
+  IF (type_trac == 'repr') THEN
 #ifdef REPROBUS
     IF (iflag_rrtm==0) THEN
@@ -635,5 +635,5 @@
     ENDDO
 
-    IF (ANY(types_trac == 'repr')) THEN
+    IF (type_trac == 'repr') THEN
 #ifdef REPROBUS
        ndimozon = size(wo, 3)
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/read_pstoke.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/read_pstoke.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/read_pstoke.F90	(revision 4482)
@@ -252,9 +252,5 @@
 
     ! niveaux de pression
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidpl, 1, zklevo, pl)
-#else
-    status = nf_get_vara_real(ncidp, varidpl, 1, zklevo, pl)
-#endif
+    status = nf90_get_var(ncidp, varidpl, pl, [1], [ncklevo])
 
     ! lecture de aire et phis
@@ -271,17 +267,9 @@
 
     ! phis
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidps, start, count, phisfi2)
-#else
-    status = nf_get_vara_real(ncidp, varidps, start, count, phisfi2)
-#endif
+    status = nf90_get_var(ncidp, varidps, phisfi2, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, phisfi2, phisfi)
 
     ! aire
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidai, start, count, airefi2)
-#else
-    status = nf_get_vara_real(ncidp, varidai, start, count, airefi2)
-#endif
+    status = nf90_get_var(ncidp, varidai, airefi2, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, airefi2, airefi)
   ELSE
@@ -309,75 +297,39 @@
     ! *** Lessivage******************************************************
     ! frac_impa
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfi, start, count, frac_impa2)
-#else
-    status = nf_get_vara_real(ncidp, varidfi, start, count, frac_impa2)
-#endif
+    status = nf90_get_var(ncidp, varidfi, frac_impa2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, frac_impa2, frac_impa)
 
     ! frac_nucl
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfn, start, count, frac_nucl2)
-#else
-    status = nf_get_vara_real(ncidp, varidfn, start, count, frac_nucl2)
-#endif
+    status = nf90_get_var(ncidp, varidfn, frac_nucl2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, frac_nucl2, frac_nucl)
 
     ! *** Temperature ******************************************************
     ! abder t
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidt, start, count, t2)
-#else
-    status = nf_get_vara_real(ncidp, varidt, start, count, t2)
-#endif
+    status = nf90_get_var(ncidp, varidt, t2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, t2, t)
 
     ! *** Flux pour le calcul de la convection TIEDTK ***********************
     ! mfu
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidmfu, start, count, mfu2)
-#else
-    status = nf_get_vara_real(ncidp, varidmfu, start, count, mfu2)
-#endif
+    status = nf90_get_var(ncidp, varidmfu, mfu2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, mfu2, mfu)
 
     ! mfd
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidmfd, start, count, mfd2)
-#else
-    status = nf_get_vara_real(ncidp, varidmfd, start, count, mfd2)
-#endif
+    status = nf90_get_var(ncidp, varidmfd, mfd2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, mfd2, mfd)
 
     ! en_u
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidenu, start, count, en_u2)
-#else
-    status = nf_get_vara_real(ncidp, varidenu, start, count, en_u2)
-#endif
+    status = nf90_get_var(ncidp, varidenu, en_u2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, en_u2, en_u)
 
     ! de_u
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, variddeu, start, count, de_u2)
-#else
-    status = nf_get_vara_real(ncidp, variddeu, start, count, de_u2)
-#endif
+    status = nf90_get_var(ncidp, variddeu, de_u2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, de_u2, de_u)
 
     ! en_d
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidend, start, count, en_d2)
-#else
-    status = nf_get_vara_real(ncidp, varidend, start, count, en_d2)
-#endif
+    status = nf90_get_var(ncidp, varidend, en_d2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, en_d2, en_d)
 
     ! de_d
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidded, start, count, de_d2)
-#else
-    status = nf_get_vara_real(ncidp, varidded, start, count, de_d2)
-#endif
+    status = nf90_get_var(ncidp, varidded, de_d2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, de_d2, de_d)
 
@@ -385,9 +337,5 @@
     ! turbulent**********************************
     ! coefh
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidch, start, count, coefh2)
-#else
-    status = nf_get_vara_real(ncidp, varidch, start, count, coefh2)
-#endif
+    status = nf90_get_var(ncidp, varidch, coefh2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, coefh2, coefh)
 
@@ -395,16 +343,8 @@
     ! Thermiques************************
     ! abder thermiques
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfmth, start, count, fm_therm2)
-#else
-    status = nf_get_vara_real(ncidp, varidfmth, start, count, fm_therm2)
-#endif
+    status = nf90_get_var(ncidp, varidfmth, fm_therm2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, fm_therm2, fm_therm)
 
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidenth, start, count, en_therm2)
-#else
-    status = nf_get_vara_real(ncidp, varidenth, start, count, en_therm2)
-#endif
+    status = nf90_get_var(ncidp, varidenth, en_therm2, start, count)
     CALL gr_ecrit_fi(klevo, klono, imo, jmo+1, en_therm2, en_therm)
 
@@ -416,83 +356,43 @@
     count(4) = 0
     ! pyu1
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidyu1, start, count, pyu12)
-#else
-    status = nf_get_vara_real(ncidp, varidyu1, start, count, pyu12)
-#endif
+    status = nf90_get_var(ncidp, varidyu1, pyu12, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, pyu12, pyu1)
 
     ! pyv1
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidyv1, start, count, pyv12)
-#else
-    status = nf_get_vara_real(ncidp, varidyv1, start, count, pyv12)
-#endif
+    status = nf90_get_var(ncidp, varidyv1, pyv12, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, pyv12, pyv1)
 
     ! *** Temperature au sol ********************************************
     ! ftsol1
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfts1, start, count, ftsol12)
-#else
-    status = nf_get_vara_real(ncidp, varidfts1, start, count, ftsol12)
-#endif
+    status = nf90_get_var(ncidp, varidfts1, ftsol12, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, ftsol12, ftsol1)
 
     ! ftsol2
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfts2, start, count, ftsol22)
-#else
-    status = nf_get_vara_real(ncidp, varidfts2, start, count, ftsol22)
-#endif
+    status = nf90_get_var(ncidp, varidfts2, ftsol22, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, ftsol22, ftsol2)
 
     ! ftsol3
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfts3, start, count, ftsol32)
-#else
-    status = nf_get_vara_real(ncidp, varidfts3, start, count, ftsol32)
-#endif
+    status = nf90_get_var(ncidp, varidfts3, ftsol32, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, ftsol32, ftsol3)
 
     ! ftsol4
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidfts4, start, count, ftsol42)
-#else
-    status = nf_get_vara_real(ncidp, varidfts4, start, count, ftsol42)
-#endif
+    status = nf90_get_var(ncidp, varidfts4, ftsol42, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, ftsol42, ftsol4)
 
     ! *** Nature du sol **************************************************
     ! psrf1
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidpsr1, start, count, psrf12)
-#else
-    status = nf_get_vara_real(ncidp, varidpsr1, start, count, psrf12)
-#endif
+    status = nf90_get_var(ncidp, varidpsr1, psrf12, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, psrf12, psrf1)
 
     ! psrf2
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidpsr2, start, count, psrf22)
-#else
-    status = nf_get_vara_real(ncidp, varidpsr2, start, count, psrf22)
-#endif
+    status = nf90_get_var(ncidp, varidpsr2, psrf22, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, psrf22, psrf2)
 
     ! psrf3
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidpsr3, start, count, psrf32)
-#else
-    status = nf_get_vara_real(ncidp, varidpsr3, start, count, psrf32)
-#endif
+    status = nf90_get_var(ncidp, varidpsr3, psrf32, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, psrf32, psrf3)
 
     ! psrf4
-#ifdef NC_DOUBLE
-    status = nf_get_vara_double(ncidp, varidpsr4, start, count, psrf42)
-#else
-    status = nf_get_vara_real(ncidp, varidpsr4, start, count, psrf42)
-#endif
+    status = nf90_get_var(ncidp, varidpsr4, psrf42, start, count)
     CALL gr_ecrit_fi(1, klono, imo, jmo+1, psrf42, psrf4)
 
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/screenc_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/screenc_mod.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/screenc_mod.F90	(revision 4482)
@@ -70,5 +70,5 @@
 ! Variables locales  
       INTEGER :: i 
-      REAL, dimension(klon) :: cdram, cdrah, cdran, zri1, gref,ycdragm
+      REAL, dimension(klon) :: cdram, cdrah, cdran, zri1, gref,ycdragm,zri_zero
 !
 !------------------------------------------------------------------------- 
@@ -89,4 +89,5 @@
                     speed, temp, q_zref, gref, &
                     psol, ts, qsurf, z0m, z0h, &
+                    zri_zero,0,                &
                     cdram, cdrah, zri1, pref)
       DO i = 1, knon
@@ -177,5 +178,5 @@
 ! Richardson at reference level 
 !
-      CALL cdragn_ri1 (knon, nsrf, &
+      CALL cdrag(knon, nsrf, &
                     speed, temp, q_zref, gref, &
                     psol, ts, qsurf, z0m, z0h, &
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/stdlevvar_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/stdlevvar_mod.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/stdlevvar_mod.F90	(revision 4482)
@@ -103,5 +103,5 @@
       REAL, dimension(klon) :: te_zref_con, q_zref_con
       REAL, dimension(klon) :: u_zref_c, te_zref_c, temp_c, q_zref_c
-      REAL, dimension(klon) :: ok_pred, ok_corr
+      REAL, dimension(klon) :: ok_pred, ok_corr, zri_zero
 !     REAL, dimension(klon) :: conv_te, conv_q
 !------------------------------------------------------------------------- 
@@ -121,4 +121,5 @@
  &                   speed, t1, q1, z1, &
  &                   psol, ts1, qsurf, z0m, z0h, &
+ &                   zri_zero, 0, &
  &                   cdram, cdrah, zri1, pref)
 
@@ -413,5 +414,5 @@
       REAL, dimension(klon) :: cdrm10m, cdrh10m, ri10m
       REAL, dimension(klon) :: cdmn10m, cdhn10m, fm10m, fh10m
-      REAL, dimension(klon) :: cdn2m, cdn1
+      REAL, dimension(klon) :: cdn2m, cdn1, zri_zero
       REAL :: CEPDUE,zdu2 
       INTEGER :: nzref, nz1
@@ -444,4 +445,5 @@
  &                   speed, t1, q1, z1, &
  &                   psol, ts1, qsurf, z0m, z0h, &
+ &                   zri_zero, 0, &
  &                   cdram, cdrah, zri1, pref)
 
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/surf_land_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/surf_land_mod.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/surf_land_mod.F90	(revision 4482)
@@ -24,7 +24,6 @@
     USE dimphy
     USE surface_data, ONLY    : ok_veget
-! >> PC
-    USE carbon_cycle_mod 
-! << PC
+    USE carbon_cycle_mod
+
 
     ! See comments in each module surf_land_orchidee_xxx for compatiblity with ORCHIDEE
@@ -45,4 +44,9 @@
     USE surf_land_orchidee_nounstruct_mod
 #else
+#if ORCHIDEE_NOLIC
+    ! Compilation with cpp key ORCHIDEE_NOLIC
+    USE surf_land_orchidee_nolic_mod
+#else
+    ! Default version
     USE surf_land_orchidee_mod
 #endif
@@ -50,12 +54,10 @@
 #endif
 #endif
-
+#endif
+    
     USE surf_land_bucket_mod
     USE calcul_fluxs_mod
     USE indice_sol_mod
-
-! >> PC
     USE print_control_mod, ONLY: lunout
-! << PC
 
     INCLUDE "dimsoil.h"
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/surf_land_orchidee_mod.F90	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/surf_land_orchidee_mod.F90	(revision 4482)
@@ -5,11 +5,12 @@
 #ifndef ORCHIDEE_NOFREIN
 #ifndef ORCHIDEE_NOUNSTRUCT
+#ifndef ORCHIDEE_NOLIC
 !
 ! This module controles the interface towards the model ORCHIDEE.
 !
 ! Compatibility with ORCHIDIEE :
-! The current version can be used with ORCHIDEE/trunk from revision 4465.
+! The current version can be used with ORCHIDEE/trunk from revision 7757. 
 ! This interface is used if none of the cpp keys ORCHIDEE_NOOPENMP, 
-! ORCHIDEE_NOZ0H or ORCHIDEE_NOFREIN is set.
+! ORCHIDEE_NOZ0H, ORCHIDEE_NOFREIN or ORCHIDEE_NOLIC is set.
 !
 ! Subroutines in this module : surf_land_orchidee
@@ -20,8 +21,8 @@
   USE dimphy
 #ifdef CPP_VEGET
-  USE intersurf     ! module d'ORCHIDEE
-#endif
-  USE cpl_mod,      ONLY : cpl_send_land_fields
-  USE surface_data, ONLY : type_ocean
+  USE intersurf     ! module in ORCHIDEE
+#endif
+  USE cpl_mod,      ONLY : cpl_send_land_fields, cpl_send_landice_fields
+  USE surface_data, ONLY : type_ocean, landice_opt
   USE geometry_mod, ONLY : dx, dy, boundslon, boundslat,longitude, latitude, cell_area,  ind_cell_glo
   USE mod_grid_phy_lmdz
@@ -152,4 +153,7 @@
     INTEGER                                   :: error
     REAL, DIMENSION(klon)                     :: swdown_vrai
+    REAL, DIMENSION(klon)                     :: run_off_lic        !! run off from land ice defined in ORCHIDEE, contains calving, melting and liquid precipitation
+    REAL, DIMENSION(klon)                     :: run_off_lic_frac   !! cell fraction corresponding to run_off_lic
+    REAL, DIMENSION(klon)                     :: blowingsnow_flux   !! blowing snow flux
     CHARACTER (len = 20)                      :: modname = 'surf_land_orchidee'
     CHARACTER (len = 80)                      :: abort_message
@@ -570,5 +574,6 @@
                lon_scat, lat_scat, q2m(1:knon), t2m(1:knon), z0h_new(1:knon), nvm_orch, &
                grid=grid_type, bounds_latlon=bounds_lalo, cell_area=area, ind_cell_glo=ind_cell, &
-               field_out_names=cfname_out, field_in_names=cfname_in(1:nbcf_in_orc))
+               field_out_names=cfname_out, field_in_names=cfname_in(1:nbcf_in_orc), &
+               coszang=yrmu0(1:knon))
 #endif         
        ENDIF
@@ -603,5 +608,5 @@
             fields_out=yfields_out(1:knon,1:nbcf_out),  &
             fields_in=yfields_in(1:knon,1:nbcf_in_orc), &
-            coszang=yrmu0(1:knon))
+            coszang=yrmu0(1:knon), run_off_lic=run_off_lic(1:knon), run_off_lic_frac=run_off_lic_frac(1:knon), blowingsnow_flux=blowingsnow_flux(1:knon))
 #endif       
     ENDIF
@@ -616,4 +621,7 @@
        CALL cpl_send_land_fields(itime, knon, knindex, &
             riverflow, coastalflow)
+       IF (landice_opt .GE. 2) THEN
+          CALL cpl_send_landice_fields(itime, knon, knindex, run_off_lic, run_off_lic_frac)
+       END IF
     ENDIF
 
@@ -850,3 +858,4 @@
 #endif
 #endif
+#endif
 END MODULE surf_land_orchidee_mod
